package com.yunzhi.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 扩展内容
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaExtendContent对象", description="扩展内容")
public class TaExtendContent implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "内容ID")
    @TableId(value = "ext_id", type = IdType.AUTO)
    private Integer extId;

    @ApiModelProperty(value = "扩展对象类型")
    private String targetType;

    @ApiModelProperty(value = "扩展对象ID")
    private String targetId;

    @ApiModelProperty(value = "内容类型")
    private String contentType;

    @ApiModelProperty(value = "内容详情")
    private String content;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
