package com.yunzhi.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 访问人次
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaMiniappQrcode 对象", description="小程序码")
public class TaMiniappQrcode implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "qrID")
    @TableId(value = "qr_id", type = IdType.AUTO)
    private Integer qrId;

    @ApiModelProperty(value = "小程序APPID")
    private String miniappId;

    @ApiModelProperty(value = "图片地址")
    private String qrImage;

    @ApiModelProperty(value = "页面地址")
    private String page;

    @ApiModelProperty(value = "页面参数")
    private String scene;

    @ApiModelProperty(value = "访问时间")
    private LocalDateTime createDate;


}
