package com.yunzhi.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 房源订单打开人
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaRoomOrderPerson对象", description="房源订单打开人")
public class TaRoomOrderPerson implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "opener_id", type = IdType.AUTO)
    private Integer openerId;

    @ApiModelProperty(value = "房源订单ID")
    private String roomOrderId;

    @ApiModelProperty(value = "打开人")
    private String personId;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
