package com.yunzhi.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 城市表
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TdCity对象", description="城市表")
public class TdCity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "城市ID")
    @TableId(value = "area_id", type = IdType.INPUT)
    private String areaId;

    private String areaName;

    private String areaPId;

    private String areaLevel;

    private Integer status;


}
