package com.yunzhi.shigongli.event;

import com.yunzhi.shigongli.entity.TaOrder;
import com.yunzhi.shigongli.entity.TaOrderSub;
import org.springframework.context.ApplicationEvent;

/**
 * 退款成功事件
 */
public class RefundSuccessEvent extends ApplicationEvent {

    TaOrder taOrder;

    TaOrderSub taOrderSub;

    public RefundSuccessEvent(Object source, TaOrder taOrder, TaOrderSub taOrderSub) {
        super(source);
        this.taOrder = taOrder;
        this.taOrderSub = taOrderSub;
    }

    public TaOrder getTaOrder() {
        return taOrder;
    }

    public TaOrderSub getTaOrderSub() {
        return taOrderSub;
    }
}
