package com.yunzhi.shigongli.common;

import java.util.Map;

public class CurrentContext {

    /**
     * TokenParam 相关
     */
    private static final ThreadLocal<Map<String, Object>> tokenParamHolder = new ThreadLocal<>();

    public static void setTokenParam(Map<String, Object> tokenParam) {
        tokenParamHolder.remove();
        tokenParamHolder.set(tokenParam);
    }

    public static Map<String, Object> getTokenParam() {
        Map<String, Object> params = tokenParamHolder.get();
        tokenParamHolder.remove();
        return params;
    }
}
