package com.yunzhi.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 搜索日志
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaSearch对象", description="搜索日志")
public class TaSearch implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "搜索ID")
    @TableId(value = "search_id", type = IdType.AUTO)
    private Integer searchId;

    @ApiModelProperty(value = "关键词")
    private String keyword;

    @ApiModelProperty(value = "人员ID")
    private String personId;

    @ApiModelProperty(value = "搜索时间")
    private LocalDateTime createDate;


}
