package com.yunzhi.shigongli.mapper;

import com.yunzhi.shigongli.entity.TaPersonAccount;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 小程序人员账户 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaPersonAccountMapper extends BaseMapper<TaPersonAccount> {

    TaPersonAccount getByPerson(@Param("personId") String personId);

    int updateCashBack(@Param("accountId") String accountId, @Param("cashback") Integer cashback);

}
